#1902 closed defect (fixed)

failure to copy node_access contents in sup_fs_get_start_loc.c

Reported by: Carl Lionberger Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.10
Severity: normal Keywords:
Cc: chrisj@…, sebastian.huber@… Blocked By:
Blocking:

Description

This problem discovered while troubleshooting loss of current working directory info in successive file opens using tftpfs. In rtems_fs_get_start_loc() the line
*loc = rtems_filesystem_current;
does not copy the contents referred to by the node_access pointer. This causes the node_access contents of both loc and rtems_filesystem_current to be free'd when the loc node info is free'd. I am attaching the diff that fixes this for tftpfs although I've heard other file systems store other types of objects here.

Attachments (2)

sup_fs_get_start_loc.c.diff.2 (674 bytes) - added by Carl Lionberger on Aug 23, 2011 at 9:27:46 PM.
what would fix this if node_access was always a string
tftpDriver-lbl-p5.diff (2.5 KB) - added by Carl Lionberger on Sep 1, 2011 at 9:16:08 PM.
several fixes to tftpDriver.c from 4.10.1

Download all attachments as: .zip

Change History (7)

Changed on Aug 23, 2011 at 9:27:46 PM by Carl Lionberger

what would fix this if node_access was always a string

comment:1 Changed on Aug 24, 2011 at 6:16:16 AM by Sebastian Huber

attachments.mimetype: application/octet-streamtext/plain

comment:2 Changed on Aug 24, 2011 at 6:24:15 AM by Sebastian Huber

Cc: Sebastian Huber added

Changed on Sep 1, 2011 at 9:16:08 PM by Carl Lionberger

Attachment: tftpDriver-lbl-p5.diff added

several fixes to tftpDriver.c from 4.10.1

comment:3 Changed on Sep 1, 2011 at 9:16:08 PM by Carl Lionberger

attachments.isobsolete: 01

comment:4 Changed on Feb 8, 2012 at 11:00:10 PM by Chris Johns

Cc: Chris Johns added

comment:5 Changed on Mar 13, 2012 at 11:52:07 AM by Sebastian Huber

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.